Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class RealmProxy

    java.lang.Object
      |
      +--weblogic.security.acl.RealmProxy

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public class RealmProxy
extends java.lang.Object

RealmProxy represents a Realm of the same name on the client side. It helps pack up user information in realm specific ways and provides information about the realm specific credentials that a generic user interface can use. Its static functions fetch and cache instances by name, and optionally, specify an implementation. As an example of two different proxy implementations, one might be intended for commandline input, and another for popping up a dialog box.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Constructor Summary
`RealmProxy()` Deprecated.

Method Summary
`UserInfo` | `createUserInfo(java.lang.String id, java.lang.Object credential)` Deprecated. Creates a UserInfo instance in an implementation-specific way.
`java.lang.String` | `getName()` Deprecated. Gets the name of a RealmProxy.
`static RealmProxy` | `getRealmProxy(java.lang.String name)` Deprecated. Fetches or creates a RealmProxy of the specified name and a default implementation.
`static RealmProxy` | `getRealmProxy(java.lang.String name, java.lang.String className)` Deprecated. Fetches or creates a RealmProxy of the specified name and implementation.
`void` | `setName(java.lang.String name)` Deprecated. Sets the name of a RealmProxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmProxy

    public RealmProxy()

  Deprecated.

Method Detail

### getRealmProxy

    public static RealmProxy getRealmProxy(java.lang.String name)

  Deprecated.
  Fetches or creates a RealmProxy of the specified name and a default implementation.

  Parameters:
    `name` - Name of the RealmProxy
  Returns:
    RealmProxy

### getRealmProxy

    public static RealmProxy getRealmProxy(java.lang.String name,
                                           java.lang.String className)

  Deprecated.
  Fetches or creates a RealmProxy of the specified name and implementation.

  Parameters:
    `name` - Name of RealmProxy
    `className` - Implementation for realm

### getName

    public java.lang.String getName()

  Deprecated.
  Gets the name of a RealmProxy.

  Returns:
    Name of RealmProxy

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Sets the name of a RealmProxy.

  Parameters:
    `name` - Name for RealmProxy

### createUserInfo

    public UserInfo createUserInfo(java.lang.String id,
                                   java.lang.Object credential)

  Deprecated.
  Creates a UserInfo instance in an implementation-specific way. Custom realms override this method for special effect. Typically, a custom realm will extend RealmProxy and implement BasicRealm in the same package to exploit package local access.

  Parameters:
    `id` - Name or ID of user
    `credential` - X509 certificate, token, or password, etc.
  Returns:
    UserInfo object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference